wifi8 2.0.0.0

Data Fields
wifi8_m2mip_config_t Struct Reference

`#include <wifi8_types.h>`

## Data Fields
uint32_t | u32_static_ip
uint32_t | u32_gateway
uint32_t | u32dns
uint32_t | u32_subnet_mask
uint32_t | u32_dhcp_lease_time

## Field Documentation

## ◆ u32_dhcp_lease_time

uint32_t u32_dhcp_lease_time

dhcp lease time in sec. this field is is ignored in static ip configuration.

## ◆ u32_gateway

uint32_t u32_gateway

ip of the default internet gateway.

## ◆ u32_static_ip

uint32_t u32_static_ip

the static ip assigned to the device.

## ◆ u32_subnet_mask

uint32_t u32_subnet_mask

subnet mask for the local area network.

## ◆ u32dns

uint32_t u32dns

ip for the dns server.

The documentation for this struct was generated from the following file:

- D:/GIT/click_repository/cmake/wifi8/lib_wifi8/include/wifi8_types.h